'use strict';

var server = require('http').createServer();
var io = require('socket.io');

var socket = void 0,
    client = void 0;
var messages = [];
var clients = [];

var on = function on(key, cb) {
  messages.push({ key: key, cb: cb });
};

var emit = function emit(key, data) {
  if (!socket) throw new Error('Error: No network instance created');

  socket.emit(key, data);
};

var broadcast = function broadcast(key, data) {
  if (!socket) throw new Error('Error: No network instance created');

  socket.broadcast.emit(key, data);
};

var create = function create(server) {
  socket = io(server);
  socket.on('connection', function (client) {
    clients.push(client.id);

    // client.on('disconnect', function() {
    //   const socket = this;
    //   clients = clients.filter(c => c !== socket.id);
    // });

    messages.forEach(function (m) {
      client.on(m.key, m.cb);
    });
  });
  return socket;
};

module.exports = {
  create: create, on: on, emit: emit, broadcast: broadcast
};