'use strict';

var express = require('express');
var app = express();
var server = require('http').createServer(app);

var Net = require('./net');

//SERVER SETTINGS
var port = process.env.VCAP_APP_PORT || 3000;
var url = process.env.URL || "localhost";

app.use(express.static('public'));

/* 
options
{
  network: bool
}
*/
var start = function start(options) {
  server.listen(port, function () {
    if (options) {
      var network = options.network;

      if (network) Net.create(server);
    }
    console.log('Server running on: ' + url + ':' + port);
  });
};

module.exports = {
  start: start
};